Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1640939 - grid-cert-request creates signing request with broken subject
Summary: grid-cert-request creates signing request with broken subject
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: globus-gsi-cert-utils
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-19 08:06 UTC by Andreas Haupt
Modified: 2018-12-02 06:49 UTC (History)
1 user (show)

Fixed In Version: globus-gsi-cert-utils-10.1-1.fc28 globus-gsi-cert-utils-10.1-1.fc29 globus-gsi-cert-utils-10.1-1.el7 globus-gsi-cert-utils-10.1-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-25 02:02:10 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
patch that fixes the problem (deleted)
2018-10-19 08:06 UTC, Andreas Haupt
no flags Details | Diff

Description Andreas Haupt 2018-10-19 08:06:02 UTC
Created attachment 1495561 [details]
patch that fixes the problem

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. grid-cert-request -host <fqdn> -dir .
2. Look "Certificate Subject:" entry

Actual results:

certificate request files contains bogus Subject:


Certificate Subject:

    /(/usr/bin/openssl req -text -noout < /tmp/tmp.7LmLNyfpuM/./grid-cert-request.31382.output 2>&1 | grep 'Subject:' | awk -F: '{print }' | cut -c2- )


Expected results:


Certificate Subject:

    /C=MyC/O=MyO/OU=MyOU/CN=host/<fqdn>


Additional info:

Comment 1 Fedora Update System 2018-11-16 04:45:59 UTC
globus-common-18.0-2.fc28 globus-ftp-client-9.1-2.fc28 globus-gass-copy-10.3-2.fc28 globus-gram-job-manager-15.1-2.fc28 globus-gram-job-manager-scripts-7.1-1.fc28 globus-gridftp-server-13.9-1.fc28 globus-gsi-cert-utils-10.1-1.fc28 globus-gssapi-gsi-14.9-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ed5ee9db2c

Comment 2 Fedora Update System 2018-11-16 04:46:08 UTC
globus-common-18.0-2.el6 globus-ftp-client-9.1-2.el6 globus-gass-copy-10.3-2.el6 globus-gram-job-manager-15.1-2.el6 globus-gram-job-manager-scripts-7.1-1.el6 globus-gridftp-server-13.9-1.el6 globus-gsi-cert-utils-10.1-1.el6 globus-gssapi-gsi-14.9-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b251cecde1

Comment 3 Fedora Update System 2018-11-16 04:46:13 UTC
globus-common-18.0-2.fc29 globus-ftp-client-9.1-2.fc29 globus-gass-copy-10.3-2.fc29 globus-gram-job-manager-15.1-2.fc29 globus-gram-job-manager-scripts-7.1-1.fc29 globus-gridftp-server-13.9-1.fc29 globus-gsi-cert-utils-10.1-1.fc29 globus-gssapi-gsi-14.9-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-51ddd4b4e1

Comment 4 Fedora Update System 2018-11-16 04:46:18 UTC
globus-common-18.0-2.el7 globus-ftp-client-9.1-2.el7 globus-gass-copy-10.3-2.el7 globus-gram-job-manager-15.1-2.el7 globus-gram-job-manager-scripts-7.1-1.el7 globus-gridftp-server-13.9-1.el7 globus-gsi-cert-utils-10.1-1.el7 globus-gssapi-gsi-14.9-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4927d5be91

Comment 5 Fedora Update System 2018-11-17 04:43:47 UTC
globus-common-18.0-2.fc29, globus-ftp-client-9.1-2.fc29, globus-gass-copy-10.3-2.fc29, globus-gram-job-manager-15.1-2.fc29, globus-gram-job-manager-scripts-7.1-1.fc29, globus-gridftp-server-13.9-1.fc29, globus-gsi-cert-utils-10.1-1.fc29, globus-gssapi-gsi-14.9-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-51ddd4b4e1

Comment 6 Fedora Update System 2018-11-17 05:35:47 UTC
globus-common-18.0-2.el7, globus-ftp-client-9.1-2.el7, globus-gass-copy-10.3-2.el7, globus-gram-job-manager-15.1-2.el7, globus-gram-job-manager-scripts-7.1-1.el7, globus-gridftp-server-13.9-1.el7, globus-gsi-cert-utils-10.1-1.el7, globus-gssapi-gsi-14.9-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4927d5be91

Comment 7 Fedora Update System 2018-11-17 06:10:03 UTC
globus-common-18.0-2.el6, globus-ftp-client-9.1-2.el6, globus-gass-copy-10.3-2.el6, globus-gram-job-manager-15.1-2.el6, globus-gram-job-manager-scripts-7.1-1.el6, globus-gridftp-server-13.9-1.el6, globus-gsi-cert-utils-10.1-1.el6, globus-gssapi-gsi-14.9-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b251cecde1

Comment 8 Fedora Update System 2018-11-17 06:39:10 UTC
globus-common-18.0-2.fc28, globus-ftp-client-9.1-2.fc28, globus-gass-copy-10.3-2.fc28, globus-gram-job-manager-15.1-2.fc28, globus-gram-job-manager-scripts-7.1-1.fc28, globus-gridftp-server-13.9-1.fc28, globus-gsi-cert-utils-10.1-1.fc28, globus-gssapi-gsi-14.9-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ed5ee9db2c

Comment 9 Fedora Update System 2018-11-25 02:02:10 UTC
globus-common-18.0-2.fc28, globus-ftp-client-9.1-2.fc28, globus-gass-copy-10.3-2.fc28, globus-gram-job-manager-15.1-2.fc28, globus-gram-job-manager-scripts-7.1-1.fc28, globus-gridftp-server-13.9-1.fc28, globus-gsi-cert-utils-10.1-1.fc28, globus-gssapi-gsi-14.9-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-11-25 02:26:08 UTC
globus-common-18.0-2.fc29, globus-ftp-client-9.1-2.fc29, globus-gass-copy-10.3-2.fc29, globus-gram-job-manager-15.1-2.fc29, globus-gram-job-manager-scripts-7.1-1.fc29, globus-gridftp-server-13.9-1.fc29, globus-gsi-cert-utils-10.1-1.fc29, globus-gssapi-gsi-14.9-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-12-02 05:56:25 UTC
globus-common-18.0-2.el7, globus-ftp-client-9.1-2.el7, globus-gass-copy-10.3-2.el7, globus-gram-job-manager-15.1-2.el7, globus-gram-job-manager-scripts-7.1-1.el7, globus-gridftp-server-13.9-1.el7, globus-gsi-cert-utils-10.1-1.el7, globus-gssapi-gsi-14.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-12-02 06:49:35 UTC
globus-common-18.0-2.el6, globus-ftp-client-9.1-2.el6, globus-gass-copy-10.3-2.el6, globus-gram-job-manager-15.1-2.el6, globus-gram-job-manager-scripts-7.1-1.el6, globus-gridftp-server-13.9-1.el6, globus-gsi-cert-utils-10.1-1.el6, globus-gssapi-gsi-14.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.